gh(1)

NAME

gh-pr-list - List and filter pull requests in this repository

SYNOPSIS

gh pr list [flags]

DESCRIPTION

List and filter pull requests in this repository

OPTIONS

-a, --assignee=""
    Filter by assignee

-A, --author=""
    Filter by author

-B, --base=""
    Filter by base branch

-d, --draft[=false]
    Filter by draft state

-H, --head=""
    Filter by head branch

-q, --jq=""
    Filter JSON output using a jq expression

--json=[]
    Output JSON with the specified fields

-l, --label=[]
    Filter by labels

-L, --limit=30
    Maximum number of items to fetch

-S, --search=""
    Search pull requests with query

-s, --state="open"
    Filter by state: {open|closed|merged|all}

-t, --template=""
    Format JSON output using a Go template

-w, --web[=false]
    Open the browser to list the pull requests

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the [HOST/]OWNER/REPO format

EXAMPLE

    List PRs authored by you
    $ gh pr list --author "@me"
    List PRs assigned to you
    $ gh pr list --assignee "@me"
    List PRs by label, combining multiple labels with AND
    $ gh pr list --label bug --label "priority 1"
    List PRs using search syntax
    $ gh pr list --search "status:success review:required"
    Open the list of PRs in a web browser
    $ gh pr list --web

SEE ALSO

gh-pr(1)